%define	dbus_ver	0.95
%define	dbus_glib_ver	0.82
%define	glib_ver	2.25.16
%define gobj_ver	0.9.6
%define vala_ver	0.10.0

Name:           telepathy-glib
Version:        0.13.2
Release:        1%{?dist}
Summary:        GLib bindings for Telepathy

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
# https://bugzilla.redhat.com/show_bug.cgi?id=436773
Patch0:		telepathy-glib-broken-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk-doc >= 1.14
BuildRequires:  dbus-devel >= %{dbus_ver}
BuildRequires:	dbus-glib-devel >= %{dbus_glib_ver}
BuildRequires:	glib2-devel >= %{glib_ver}
BuildRequires:	gobject-introspection-devel >= %{gobj_ver}
BuildRequires:	vala-devel >= %{vala_ver}
BuildRequires:	vala-tools
BuildRequires:	libxslt
BuildRequires:	python

%description
Telepathy-glib is the glib bindings for the telepathy unified framework
for all forms of real time conversations, including instant messaging, IRC, 
voice calls and video calls.


%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	vala


%description vala
Vala bindings for %{name}.


%package 	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-vala = %{version}-%{release}
Requires:	telepathy-filesystem
Requires:	dbus-devel >= %{dbus_ver}
Requires:	dbus-glib-devel >= %{dbus_glib_ver}
Requires:	glib2-devel >= %{glib_ver}
Requires:	pkgconfig

Provides:	libtelepathy-devel = 0.3.4-1
Obsoletes:	libtelepathy-devel < 0.3.4


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .requires


%check
#make check


%build
%configure --enable-static=no --enable-introspection=yes --enable-vala-bindings=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_libdir}/libtelepathy-glib*.so.*
%{_libdir}/girepository-1.0/TelepathyGLib-0.12.typelib
%{_datadir}/gir-1.0/TelepathyGLib-0.12.gir


%files vala
%defattr(-,root,root,-)
%{_datadir}/vala/vapi/telepathy-glib.deps
%{_datadir}/vala/vapi/telepathy-glib.vapi


%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-glib.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/telepathy-1.0/%{name}/


%changelog
* Fri Oct 15 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2.
- Drop provide/obsolete on libtelepathy.

* Wed Sep 29 2010 jkeating - 0.12.0-2
- Rebuilt for gcc bug 634757

* Sat Sep 25 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0.

* Thu Sep 23 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.16-1
- Update to 0.11.16.

* Tue Sep 21 2010 Matthias Clasen <mclasen@redhat.com> - 0.11.15-2
- Rebuild against newer gobject-introspection

* Mon Sep 13 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.15-1
- Update to 0.11.15.

* Wed Aug 25 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.14-1
- Update to 0.11.14.

* Tue Aug 17 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.13-1
- Update to 0.11.13.
- Enable vala bindings. (#619137)

* Wed Aug 11 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.12-1
- Update to 0.11.12.

* Mon Jul 26 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.11-1
- Update to 0.11.11.

* Mon Jul 12 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.10-1
- Update to 0.11.10.

* Tue Jun 22 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.8-1
- Update to 0.11.8.
- Enable gobject introspection.
- Bump min version of glib required.

* Mon Jun 14 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.7-1
- Update to 0.11.7.

* Mon Jun  7 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.6-1
- Update to 0.11.6.

* Mon May 31 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.5-2
- Enable checks.

* Mon May 10 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.11.5-1
- Update to 0.11.5.

* Wed Apr 28 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.5-1
- Update to 0.10.5.

* Tue Apr 20 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.4-1
- Update to 0.10.4.

* Mon Apr 19 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.3-3
- Obsolete the devel subpackage as well.

* Thu Apr 15 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.3-2
- Add missing Obsoletes on libtelepathy.

* Tue Apr  6 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3.

* Wed Mar 31 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-1
- Update to 0.10.2.

* Wed Mar 24 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1.

* Thu Jan 21 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0.

* Thu Dec  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2.

* Thu Oct 15 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1.

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.9.0-1
- Update to 0.9.0

* Thu Sep 24 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0.

* Mon Sep 14 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.37-1
- Update to 0.7.37.

* Thu Sep  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.36-1
- Update to 0.7.36.

* Tue Aug 18 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.35-1
- Update to 0.7.35.

* Mon Aug 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.34-1
- Update to 0.7.34.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 27 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.33-1
- Update to 0.7.33.

* Sat Jun 13 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.32-1
- Update to 0.7.32.

* Wed Jun 10 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.31-1
- Update to 0.7.31.

* Fri Apr  3 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.29-1
- Update to 0.7.29.

* Tue Mar 24 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.28-1
- Update to 0.7.28.

* Tue Mar 17 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.27-1
- Update to 0.7.27.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.26-1
- Update to 0.7.26.

* Fri Jan 30 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.25-1
- Update to 0.7.25.

* Wed Jan 28 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.24-1
- Update to 0.7.24.

* Tue Jan 20 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.23-1
- Update to 0.7.23.

* Tue Jan 13 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.22-1
- Update to 0.7.22.

* Mon Jan 12 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.7.21-1
- Update to 0.7.21.

* Mon Dec 15 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.20-1
- Update to 0.7.20.

* Mon Dec  1 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.19-1
- Update to 0.7.19.

* Fri Nov  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.18-1
- Update to 0.7.18.

* Wed Oct 15 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.17-1
- Update to 0.7.17.

* Fri Sep 26 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.16-1
- Update to 0.7.16.

* Fri Sep 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.15-1
- Update to 0.7.15.
- Bump min version of glib needed.
- Update broken-pkgconfig patch.

* Sat Aug 23 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.14-1
- Update to 0.7.14.
- Add README & NEWS to docs.

* Tue Jul 29 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.13-1
- Update to 0.7.13.

* Mon Jul 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.12-2
- Update broken-pkgconfig patch. (#456621)

* Mon Jul 21 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.12-1
- Update to 0.7.12.
- Update pkgconfig patch.

* Thu Jul  3 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.11-1
- Update to 0.7.11.

* Fri Jun  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.10-1
- Update 0.7.10.

* Fri May 30 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.9-1
- Update to 0.7.9.
- Enable tests.

* Fri May  9 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.8-1
- Update to 0.7.8.

* Tue Apr 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6.

* Mon Mar 24 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-4
- Bump.

* Fri Mar 21 2008 - Bastien Nocera <bnocera@redhat.com> - 0.7.5-3
- Really fix #436773

* Mon Mar 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-2
- Add requires for glib2-devel to devel package. (#436773)

* Fri Mar  7 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.5-1
- Update to 0.7.5.
- Remove hack to fix ppc64 build.  fixed upstream.

* Thu Mar  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4.
- Disable test for now.
- Add hack to fix build on ppc64.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-2
- Rebuild for gcc-4.3.

* Fri Nov 23 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0.
- Drop unstable-static subpackage.
- Bump min. versions of dbus-devel & dbus-glib-devel.

* Mon Nov 12 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1.

* Wed Aug 29 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.14-1
- Update to 0.5.14.

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-6
- Add BR on python.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-5
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-4
- Update license tag.

* Mon Jun 18 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-3
- Add check section to run test suite.
- Mark gtk-docs as docs.

* Sat Jun 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-2
- Change Group to more accurate categoryn.
- Require pkgconfig on the devel package.
- Move headers for unstable libs to unstable-static sub-pacakge.

* Tue Jun  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.13-1
- Update to 0.5.13.

* Wed May 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11.

* Sat Apr 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.5.10-1
- Intial spec.

